Bug 74670 - gimp tries to load wrong font size
gimp tries to load wrong font size
Status: CLOSED WONTFIX
Product: Red Hat Linux
Classification: Retired
Component: gimp (Show other bugs)
7.3
i386 Linux
medium Severity medium
: ---
: ---
Assigned To: Nils Philippsen
David Lawrence
:
Depends On:
Blocks:
  Show dependency treegraph
 
Reported: 2002-09-30 10:00 EDT by Need Real Name
Modified: 2007-04-18 12:46 EDT (History)
0 users

See Also:
Fixed In Version:
Doc Type: Bug Fix
Doc Text:
Story Points: ---
Clone Of:
Environment:
Last Closed: 2004-08-06 05:40:50 EDT
Type: ---
Regression: ---
Mount Type: ---
Documentation: ---
CRM:
Verified Versions:
Category: ---
oVirt Team: ---
RHEL 7.3 requirements from Atomic Host:
Cloudforms Team: ---


Attachments (Terms of Use)

  None (edit)
Description Need Real Name 2002-09-30 10:00:32 EDT
Description of Problem:
For certain fonts (e.g. lucida, adobe helvetica) the font size you select 
is not the one that it tries to use when you actually go to paste the text 
into image, resulting in a "font not found error".

Version-Release number of selected component (if applicable):
Red Hat Linux 7.3, Gimp 1.2.3

How Reproducible:
Always

Steps to Reproduce:
1. Create a new image (File/New)
2. Use the "Text" too (right mouse, Tools/Text)
3. Click a location in the image where the text will be placed.
4. In the text tool dialog, select: helvetica (adobe), medium, metric: 
pixels, 24 pixels
5. Click "OK" in the text tool dialog.

Actual Results:
Error message pops up: "Font 
'-adobe-helvetica-medium-r-normal-*-72-*-*-*-p-*-iso10646-1' not found."
Note that it seems to be trying to use a 72 pixel font when we selected 24 
pixels.  The error message occurs because there is no 72 pixel font.

Expected Results:
correct font

Additional Information:
Similarly, if we had chosen 10 pixel adobe helvetica, we would have gotten 
an error message indicating that it was missing a 30 pixel font.  Note that 
the font displays just fine in the text tool dialog itself, and if we click 
on the "Font Information" tab in the text tool dialog the font name listed 
has the correct size.  It is only when we click "OK" in the text tool 
dialog and try to use the font that things go wrong.  I have no problem 
displaying the font with xfontsel.
Comment 1 Nils Philippsen 2004-08-06 05:40:50 EDT
RHL7.3 is end-of-life, I guess current gimp doesn't have that problem,
please reopen if not.

Note You need to log in before you can comment on or make changes to this bug.